Basics of using a Ramco Enterprise Series web page

What would you like to do?

Opening a Web page

  • Select a web page by clicking on the activity on the left pane of the application. The web page appears.

After the page appears, you may

  • View it and then exit by selecting the "Cancel" button on the Web page tool bar if it is a view-only page.

  • Select a record or a data item if it is a selection page.

  • Enter data by positioning the cursor on the field and starting to type, provided the field can be edited.

When you complete selecting / viewing / entering data in all the required fields in the page, you can either

  • Save the details you entered in the current Web page, by clicking the correct pushbutton.

  • Select or choose a row in the multiline, by checking the "Select" box that appears as the first field of the row. Traverse to the next page, by selecting a link in the current page. In the next page, you can enter additional details that pertain to the multiline row.

  • Exit the Web page without effecting any action that you might have carried out in the Web page. This will be through the Cancel icon.

Knowing what a Web page consist of

Any web page you open will consist of some or all of the following elements.

  • Fields

  • Drop-down list boxes

  • Multiline

  • Select check box

  • Links

  • Lens

  • Web page tool bar icons

  • Pushbuttons

  • Comments icon

  • Records

To know more about these elements, refer to the topic Elements of the Ramco Enterprise Series Web page

Adding a record

You can add a new record through a Create page. You are to enter a unique code to identify the record, along with other details of the record such as description, type, etc. This unique code of the record

  • Will identify it from all other records

  • Cannot be edited

  • Will be used to retrieve the record, for editing and deleting

Selecting a record

You will need to select records from a multiline, before proceeding to edit, delete, authorize or carry out any certain other actions on the record.

  • Select or choose a record in the multiline, by checking the "Select" box that appears as the first field of the record.

  • Select a link in the current page, by clicking.

  • The next Web page appears, displaying all the details of the record you selected in the multiline of the previous page.

  • You can now edit, delete, authorize or carry out any other action on the record.

Deleting a record

Deleting a record is typically carried out through the Edit page of an Activity. You can delete a record, provided the record has not been edited, amended, authorized or mapped to any other record. In short, the record must not have been used by any other transaction. You are to

  • Select the Edit activity option on the left pane. The Select page appears

  • Select the record to be deleted, from the Select page

  • Select the "Edit" link from the Select page The Edit page appears, showing the details of the selected record.

  • Select the "Delete" pushbutton, from the Edit page. The selected record is now deleted.

Adding a multiline row

A multiline row can be added, using the toolbar icons above the multiline. It can be either inserted between two existing multiline rows, or added to the end of the last row . You are to

  • Position the cursor in the multiline row above which the row must appear.

  • Click the [image] icon on the tool bar above the multiline.

Deleting a multiline row

A multiline row can be deleted, using the toolbar icons above the multiline. The item to be deleted must not have been used in any transaction, so far. You are to

  • Check the "Select" box that appears as the first field of the record.

  • Click the [image] icon on the tool bar above the multiline.

Editing a record

You can edit most records through an Edit page. Although the rules governing the fields to be edited will differ between record types, most records do not allow an edit of the unique code identifying the record. Example, an employee record can allow most of the fields to be edited except the Employee Code field.

You can edit a record, provided the record has not been authorized or mapped to any other record. In short, the record must not have been used by any other transaction. You are to

  • Select the Edit activity option on the left pane. The Select page appears.

  • Select the record to be edited, from the Select page.

  • Select the "Edit" link from the Select page. The Edit page appears, showing the details of the selected record.

  • Edit the fields that the system permits you to edit. After completion, save the page. The edited details are updated in the database.

Authorizing a record

A record is authorized by any employee who has been given supervisory rights. After the record is authorized, it cannot be edited or deleted unless it is unauthorized first.

Keeping two web pages open simultaneously

To keep two pages open at the same time, you are to open the browser twice. This implies that you login separately each time, and select the required activity and page.

What is the bare minimum to enter?

When you open a web page, certain fields in the page will be bold. These are the mandatory fields to enter, in order to create and save records in the web page. All the other fields in the page are optional.

Before using a Ramco Enterprise Series Web page

Components, activities and tasks

Before you get started on the Ramco Enterprise Series Web page, you need to know a few concepts based on which Ramco Enterprise Series works. These can be summed up in the few key words that follow.

  • Business Component

  • Activity

  • Web Page

The Business Component refers to a set of logical actions or transactions grouped under a name. Examples of business components could be "Employee Personal Information" and "Organization Structure" .

An Activity refers to any action or transaction under a Business Component. When the business component is "Organization Structure", the Activities under it could be "Create Department", "Edit Department", "Create Grade" and "Edit Grade". An activity often involves one or more web pages. For instance, the activity "Edit Department" may involve the following web pages:

  • Select Department to Edit

  • Edit Department

  • Department to Cost Center Mapping

  • Department to Competency Mapping

  • Department to Org. Unit Mapping"

In effect, these are the Web Pages on which you work. When you are working on a Web page, you are often carrying out a step in an Activity. Because there can be multiple steps in an Activity, you may use multiple Web Pages to carry out the Activity.

Note that there are several instances when a single Web page is used to carry out the activity directly.

Correlating tasks to web pages

Given below is an example of the Web pages under an Activity, and the task correlating to each Web page.

Go to… | For…
Select Department to Edit | Selecting the department whose details must be edited
Edit Department | Editing the department details
Department to Cost Center Mapping | Mapping the department to a cost center
Department to Competency Mapping | Mapping the department to a competency
Department to Org. Unit Mapping | Mapping the department to an organization unit

The second page is a hyperlink from the first page. The remaining pages are hyperlinks from the first page or other pages.

More about the Select web page

You normally encounter a Select page before recording, editing or viewing a record. "Select Employee To Record Personal Information" is an example of a select page. Through this entry page, you can search for an employee record, as follows:

  • Select search criteria such as Employee Code, Date of Joining or Employee Type.

  • Enter data pertaining to the search criteria. For example, if you selected the search criteria Date Of Joining, enter the date 28/June/2001, to tell the system to search for all employees whose date of joining is on or after 28/June/2001.

  • The system displays all the employee records that satisfy the search criteria, in a multiline. The records of all employees whose date of joining is on or after 28/June/2001 are displayed.

  • From the multiline, select the specific employee record whose details are to be viewed or edited.

  • From the Select page, click the link that takes you to the Edit page, Record Page or the View page. Alternatively, one of the fields in the multiline employee records will be hyperlinked, in the Select page. Select the hyperlinked field, to enter the Edit, Record or View page.

Elements of the Ramco Enterprise Series Web Page

To use the Web page, here are the basic elements you will be working with.

Element

Icon

Description

Page

This constitutes the entire document that you view online, which you use to either type in information or view information. All other elements described below, except the Show/Hide button, will be inside the page.

Multiline

A table, consisting of multiple rows and columns. Each row contains a single record. Each item of information in the record appears under a column header. Show

Alternatively, the rows in the multiline do not need to be complete records. They can form a part of a complete record, and refer to those specific fields in the record where there are multiple rows of information. For instance, an employee's record could contain language proficiency details. This will need multiple rows to be entered, each row specifying his proficiency in a different language.

Link

Any item, which when selected, takes you to another Web page.

Data Hyperlink

Any data in a field, which when selected, takes you to another Web page.

Search Criteria

Refers to fields that you can enter, such as "From Date" and "To Date", to tell the system to retrieve only those records satisfying these specifications. Essentially, these filters are the criteria that you specify to enable the system to narrow down the list of records that must be displayed.

Drop-down list box

This refers to the list box that appears when you click inside a field containing a downward arrow. The list box shows a list of items, each of which represent an action you can choose.

Field

Each data element in a page, which is either displayed automatically or which you enter/ type in, is a field.

Lens

The icon positioned next to fields where code search facility is available. Click this icon to search for a code or number. Eg: Help on Employee Code.

Select check box

A small square box normally occurring as the second column of every multiline row. It precedes the record in the row. When you position the mouse pointer on it and click, a tick mark appears within the square box, indicating that the record in the row is selected for an action.

First Record

Select this button on the tool bar above the multiline, to view the first set of multiline records.

Previous Record

Select this button on the tool bar above the multiline, to view the set of multiline records immediately preceding the currently displayed set of multiline records.

Next Record

Select this button on the tool bar above the multiline, to view the next set of multiline records. "Next" is applicable when the number of multiline records that the system displays cannot be accommodated in the current set of multiline rows and must be continued into the next set of multiline rows.

Last Record

Select this button on the tool bar above the multiline, to view the last set of multiline records.

Insert Record

Select this button on the tool bar above the multiline, to insert a record in the multiline.

Delete Record

Select this button on the tool bar above the multiline, to delete the selected record in the multiline.

Search Record

Select this button on the tool bar above the multiline, to search for a record in the multiline.

Pushbutton

A rectangular button that performs an action when clicked. For example, clicking the "Add Employee" pushbutton saves the employee details entered in the page.

Zoom

Double click this icon, to enter a dialog box in which you can type in your comments. You are to save the comments, by selecting the "Save" pushbutton in the dialog box.

Home

A button that you select on the Web Page tool bar to go to the web page set as the home page.

Refresh

A button that you select on the Web Page tool bar to enable the system to fetch the most recently updated data from the database. When you select this button in a Create page, the fields are made blank.

Cancel

A button that you select on the Web Page tool bar to come out of the Web page without effecting any action that you might have carried out in the Web page. Note that Cancel only ensures that the changes you made after the last Save do not come into effect.

Change Password

A button that you select on the Web Page tool bar to change the password settings for the currently logged in user.

Online Help

A button that you select on the Web Page tool bar to launch the context-sensitive online help for the page.

Logout

A button that you select on the Web Page tool bar to log out of the Ramco Enterprise Series application session.

Context

A login user can use this button to switch across organization units or roles.

Favorites

Use this button to select Activities as your favorites. Activities can be across the Components to which you have access.

Defaults

Use this button to select the organization unit to which you will be logged in, by default.

Preferences

Use this button to set the style and format for Numeric, Date and Time displays.

Show/Hide

This button toggles, upon selection, between showing the left pane and hiding it. It is located at the top left on the Web page.

A typical Ramco Enterprise Series Web Page

Multiline

Web Page Tool bar

What would you like to do?

Open a web page

Know what a web page consists of

Add a record

Select a record

Delete a record

Add a multiline row

Delete a multiline row

Edit a record

Authorize a record

Keep two web pages simultaneously open

Find out the bare minimum to enter in a page


Using Online Help

This topic provides information on how Ramco Enterprise Series Online Help is organized and how you must navigate, to find the required information.

The Online Help you receive with Ramco Enterprise Series is context-sensitive, that is, when you click the "Help" button in any Ramco Enterprise Series page, the help for that page is launched. The exhaustive help covers concepts and detailed description for fields in the web page.

How Online Help is organized

A typical Help topic

Online Help Organization

Overview

A summary of the concepts involved in the Web page, Activity or Business component. Describes the purpose of the activity or the business component with appropriate examples. If the activity involves multiple tasks, a table is provided to show the task that can be carried out in each Web page. Click the [image] button to view the table.

What you can do in this activity / page

"What you can do in this activity" lists the tasks that you can carry out using the Ramco Enterprise Series activity. It points to the exact Ramco Enterprise Series Web page in which you can carry out the task.

"What you can do in this page" briefly explains the tasks that you can carry out in the Ramco Enterprise Series Web page, along with instructions on the fields that must be entered to accomplish the task.

Prerequisites

Enumerates the tasks that must have been completed prior to entering data in the Ramco Enterprise Series Web page.

Glossary

Dictionary or word list on the business terms used in the Online Help.

Instructions on how to use the Ramco Enterprise Series Web page

Offers step-by-step instructions on how to use the Ramco Enterprise Series Web page. Portrays a typical Ramco Enterprise Series Web page with a brief explanation on the basic elements you will be working with.

Typical Help topic


Employment Equity Act Setup - An Overview

List of Activities

The Employment Equity Act Setup component enables you to record the following:

  • Employment Equity Plan

  • Employment Equity Actuals

List of Activities

Go to page | For...
Employment Equity Plan | Recording employment equity plan
Employment Equity Actuals | Recording employment equity actuals

Go to Top


Employment Equity Plan - A summary of the activity

Employment Equity Plans – A summary of the activity

Employement Equity Act Setp - An Overview

Prerequisites

Getting familiar with the pages inside

What you can do in this activity

In this activity you can record the details of the employer equity plans.

Recording the employer equity plan details

You can record the employer equity plan details. To record the equity plan details, you must carry out the following:

  • Select the employer organization unit

  • Enter the employer equity plan code and description

  • Specify the starting and ending range of date for the equity plan.

  • Specify the numerical goals to be achieved

  • Specify the target year for the plan

  • Indicate the stakeholder consulted in deciding upon the equity plan.

  • Indicate the level of agreement reached on the plan

  • Indicate the frequency period of the meeting for which the stakeholders are consulted. For example, the stakholders may be consulted on a quarterly, weekly, monthly or yearly basis.

  • Select the “Save” pushbutton to record the equity plan details

Deleting equity plan details which are not required.

You can delete the details of an equity plan that is no longer required. To delete the an existing equity plan you must carry out the following:

  • Enter the code of the employment equity plan that has to be deleted and select the “Get” pushbutton to retrieve the details of the employment equity plan.

  • Select the “Delete” pushbutton to delete the equity plan.

Note: You can only delete the Equity Plan details of an Equity Plan, which has an “Open” plan status, and for which the actuals have not been recorded.

Getting familiar with the pages inside

Go to page | To carry out the task...
Employment Equity Plans | Recording employer equity plans

Go to Top

Prerequisites

The occupational category and the stakeholders must have been defined

Go to Top

What you can do in this activity

Record the employment equity plan details

Employee EEA Declaration must have been carried out

Go to Top

Equity Plans

Employment equity plans are plans that help the employer to progressively achieve employment equity. It sets numerical goals to be achieved for equitable representation in occupational category and level in the workforce and the target year within which the goals must be achieved.


Recording employment equity plan

Employment Equity Plan - A summary of the activity

Page Objective

What you can do in this page

Unified Glossary

Basics of using a typical web page

Using Online Help

  • Select the “Employment Equity Plan” link under the “Employer Equity Setup Act” business component.

The “Employment Equity Plan” page appears.

The system displays the following field.

Date Format

The date format applicable to the login user. Tell me more.

Statutory Setup Unit | From the drop-down list box, select the organization unit of the employer. Tell me more.
Employment Equity Plan Code | The code identifying the employment equity plan. Help available.
Employment Equity Plan Description | The description of the employment equity plan.
Plan From Date | The starting date from which the employment equity plan is effective.
Plan To Date | The ending date within which the employment equity plan is effective.
Plan Status | From the drop-down list box, select the plan status. The system displays the options “Open” or “closed”.

Specify the numerical goals to be achieved for recruitment of employees

  • Enter the following in the “Numerical Goals” multiline:

Occupation Category

From the drop-down list box, select the occupation category if numerical goals are to be specified for permanent employees. The system lists the following options for the occupational category:

  • Legislators, senior officials and managers

  • Professionals

  • Technicians and associate professionals

  • Clerks

  • Service and sales workers

  • Skilled agricultural and fishery workers

  • Craft and related trades workers

  • Plant and machine operators and assemblers

  • Elementary occupations

From the drop-down list box, select “Non Permanent Employees”, if numerical goals are to be specified for non-permanent employees.

Gender

From the drop-down list box, select the gender for which the numeric goals is to be specified.

African

The number of employees, planned for recruitment, who are African.

Colored

The number of employees, planned for recruitment, who are Colored.

Indian

The number of employees, planned for recruitment, who are Indians.

White

The number of employees, planned for recruitment, who are White.

Total

The total number of recruited employees, which is the sum of the employees who are African, Colored, Indian and White for the selected occupational category and gender.

View the total number of permanent and non-permanent employees

The system displays the following in the “Summary” multiline.

Category | The category of the employees recruited which could be “Permanent Employees” or “Non – Permanent Employees”.
African | The number of African employees planned for recruitment for the employee category.
Colored | The number of Colored employees planned for recruitment for the employee category.
Indian | The number of Indian employees planned for recruitment for the employee category.
White | The number of White employees planned for recruitment for the employee category.

Specify the target year of achievement

  • Enter the in target year for achievement in the “Target Year To Achieve Plan” field.

Indicate the stakeholders who have been consulted

The system displays the following in the “Consultation – Prior to Plan Development” multiline:

Stakeholders Details

The stakeholders who can be consulted for the equity plan. The system may display the following options for the stakeholders to be consulted:

  • Consultative body or Forum

  • Employees

  • Registered Trade unions

  • Workplace Forum

  • Enter the following:

Yes/No

From the drop-down list box, select “Yes”, if the stakeholder has been consulted, else select “No”.

To specify the level of stakeholders agreement and periodicity for consultation

  • Enter the following:

Level of Agreement Reached | From the drop-down list box, select the level of agreement reached by the stakeholder for the equity plan. The system lists the options “None”, “Some”, “Sufficient” and “Total”.
Stakeholders Meeting Periodicity | From the drop-down list box, select the frequency period according to which the stakeholders have been consulted. The system lists the options “Weekly”, “Quarterly”, “Monthly”, “Yearly” and “Other”.

To record the employer equity plan details

  • Select the “Save” pushbutton.

To delete existing equity plan details

  • Select the “Delete” pushbutton.

Go to Top

Page Objective

Use this page to record the employment equity plan details

Go to Top

What you can do in this page

Specify the numerical goals to be achieved for recruitment of employees

Specify the target year of achievement

Indicate the stakeholders who were consulted

View the total number of permanent and non-permanent employees

Record employer equity plan details

Delete employer equity plan details


Employment Equity Actuals - A summary of the activity

Employment equity actuals – A summary of the activity

Employment Equity Act Setup - An overview

Prerequisites

Getting familiar with the pages inside

What you can do in this activity

In this activity, you can record the details of the equity actuals.

Recording employer equity actuals

You can record the details of the employer equity actuals. To record the employment equity actuals you must carry out the following:

  • Specify the employment equity plan code

  • Specify the employment equity actuals code

  • Specify the start date and the ending date for the employment equity actuals

  • Specify the qualitative assessment details

Deleting the employer equity actuals

You can record existing employment equity actual details. To delete the employment equity actuals carry out the following:

  • Specify the employment equity plan code and click the “Get” pushbutton to retrieve details pertaining to the existing employment equity actuals

  • Specify the employment equity actuals code

  • Select the “Delete” pushbutton to delete the employment equity plan actuals not required.

You can delete only the latest Employment Equity Actuals.

Example: If there is an Equity Plan from 1/01/2005 to 31/01/2005 and the actuals recorded for the plan are

  • ‘Actual1’ from 01/01/2005 to 31/03/2005

  • ‘Actual2’ from 01/04/2005 to 30/06/2005

  • ‘Actual3’ from 01/07/2005 to 31/10/2005

You can only delete‘Actual3’ as it is the latest actuals recorded. If ‘Actual1’ has to be deleted, ‘Actual3’ and ‘Actual2’ must have been deleted, before deleting ‘Actual1’.

Recording additional employer equity actuals

You can record the additional employer equity details. To record the additional equity details carry out the following:

  • Indicate if numberical goals were achieved

  • Indicate if affirmative action objective were achieved positively

Getting familiar with the pages inside

Go to page | To carry out the task...
Employment Equity Actuals | Recording employer equity actuals
Record Additional Equity Actuals | Recording additional equity actuals

Go to Top

Prerequisites

Employment equity plan should have been created

Go to Top

What you can do in this activity

Specify the employer equity actual details such as the equity actuals code and description and enter it’s starting date and ending date.

Specify the qualitative assessment details.

Specify additional employer equity actuals details


Recording employment equity actuals

Employment equity Actuals - A summary of the activity

Page Objective

What you can do in this page

Unified Glossary

Basics of using a typical web page

Using Online Help

  • Select the “Employment Equity Actuals” link under the “Employer Equity Setup Act” business component.

The “Employment Equity Actuals” page appears.

The system displays the following field.

Date Format

The date format applicable to the login user. Tell me more.

  • Enter the following:

Statutory Setup Unit | From the drop-down list box, select the organization unit of the employer. Tell me more.
Employment Equity Plan Code | The code identifying the employment equity plan.
Employment Equity Actuals Code | The code identifying the employment equity actuals.
Employment Equity Actuals Description | The description of the employment equity actuals.
Actuals From Date | The stating date from which the employment equity actuals is effective.
Actuals To Date | The ending date within which the employment equity actuals is effective.

  • Select the “Get” pushbutton.

The system displays the following.

Employment Equity Plan Description | The description of the employment equity plan.
Plan From Date | The starting date from which the employment equity plan is effective.
Plan To Date | The ending date within which the employment equity plan is effective.
Plan Status | The status of the employment equity plan.

Indicate the qualitative assessment details

  • Enter the following:

Qualitative Assessment Details

From the drop-down list box, select the qualitative assessment factor - which indicates the progress details in implementing the set employment equity plan. The system lists the options “Affirmative Measures”, “Allocation of Resources”, “Awareness of Employee Equity” and “Barriers”.

The system displays the following.

Category

The categories pertaining to the selected qualitative assessment factor.

  • Enter the following:

Yes/No | From the drop-down list box, select “Yes” if the category has been complied, else select “No”.
If Yes, Specify | The details of the category compliance.

Specify the period for monitoring progress of actuals

  • Enter the following in the “Monitor Progress of Implementation” group box:

Periodicity

From the drop-down list box, select the frequency of monitoring the progress of implementation of the plan.

To record the employment equity actuals

  • Select the “Save” pushbutton to record the employment equity actuals.

To delete the employment equity actuals

  • Select the “Delete” pushbutton to delete the employment equity actuals.

To proceed

  • Select the “Record Additional Equity Actuals” link to record additional equity actuals details.

Go to Top

What you can do in this page

Indicate qualitative assessment details

Specify period for monitoring progress of actuals

Record employment equity actuals

Delete employment equity actuals

Go to Top

Page Objective

Use this page to record employment equity actuals


Recording additional equity actuals

Employment Equity Actuals - A summary of the activity

Page objective

What you can do in this page

Unified Glossary

Basics of using a typical web page

Using Online Help

  • Select the “Record Additional Equity Actuals” link in the “Employment Equity Actuals” page.

The “Record Additional Equity Actuals” page appears.

The system displays the following field.

Date Format | The date format applicable to the login user. Tell me more.
Statutory Setup Unit | The organization unit of the employer. Tell me more.
Employment Equity Plan Code | The code identifying the employment equity plan.
Employment Equity Plan Description | The description of the employment equity plan.
Plan From Date | The starting date of the employment equity plan.
Plan To Date | The ending date of the employment equity plan.
Employment Equity Actuals Code | The code identifying the employment equity actuals.
Employment Equity Actuals Description | The description of the employment equity actuals.
Actuals From Date | The starting date for the employment equity actuals.
Actuals To date | The ending date for the employment equity actuals.

Specify the progress details for the actuals

  • Enter the following in the “Progress Report” group box:

Achieved Numerical Goals | From the drop-down list box, select “Yes” to indicate that the numerical goals that have been achieved, else select “No”.
Achieved Affirmative Action Objectives | From the drop-down list box, select “Yes” to indicate that affirmative action objectives have been positively achieved, else select “No”.
If not, obstacles experienced | The obstacles that were encountered, if the goals were not achieved.
If yes, factors contributing to accomplishment | The factors that contributed to successful accomplishment of the goals, if the goals were well achieved as per the target.

  • Select the “Save” pushbutton.

Go to Top

Page Objective

Use this page to record additional employer equity actuals

Go to Top

What you can do in this page

Specify progress details for actuals


Glossary

Unified Glossary

A

B

C

D

E

F

G

H

I

J

L

M

N

O

P

Q

R

S

T

U

V

W

A

Accumulator | The accumulation of a set of pay element values is an Accumulator. It consists of one or more pay elements. Accumulation is done based on the mathematical operators defined for each pay element, in the Accumulator. The mathematical operators are “+” or “-“. The user can specify the period for which the accumulation must be performed. The Accumulation options provided in the system are Monthly, Quarterly, Yearly and Till Date
Accrue at the beginning of the period | This indicates that the leave has to be accrued at the beginning of the accrual period. E.g., if the employee’s leave accrual period starts on 01 Jan 2002 and if ‘Accrue at the beginning of the period’ is checked, the entitlement units will get accrued on 01 Jan 2002 . If this is not checked it indicates that the leave is accrued only at the end of the accrual period.
Assignment | The work allocated to an Employee in a specific function is called Assignment.
Assignment Number | An Employee might hold multiple assignments in an organization. Each assignment is given a unique identifier called Assignment Number.
Advance Earned Income Credit | Payment by an employer based on an employee's claim to entitlement to the earned income credit. Advance earned income credit payments are treated as additional taxes on the tax return.
Arrears Set | Arrear set is an entity where various pay elements, qualified for arrears are identified for arrears computation. Arrears computation is done for an Arrears Set. Pay Elements, eligible for arrears are identified for a user-entered range of process periods. One Arrear set can be defined for one payset only.
Attendance type | Attendance type is an entity through which attendance is recorded in the payroll process. The mode of data entry of the attendance has to be specified while defining it.
Allow Negative Balance | This enables employees to avail negative balance.
Automated Enrollment | Automated enrollment is used in cases when the user wants to enroll employees into a plan based on certain pre-defined events.

B

Benefit Calendar | A Benefit Calendar is typically the Annual or Fiscal calendar using which various computations and statutory requirements can be handled.
Benefit Association Group | Benefit Association Group is the group formed on a certain basis like Grade, Grade Set, Department, Work Place, Employment Unit or Job that has a different premium rate. This is used mainly to give different premium rates on the basis of job or employee group.
Benefit Objects | The three tiers of Benefits are collectively referred to as Benefit Objects. They are Benefit Programs, Benefit Plan Type and Benefit Plans.
Benefit Program | Benefit Program is the top tier of the Benefit Object Definition. The various attributes mapped to the Benefit Year are primary participant eligibility profiles, dependent eligibility profiles, Benefit Years, Waive Reasons, currency for premium payment, calculation rules (for salary, age, service months and actual hours) and applicable org units.
Benefit Plan Type | Benefit Plan Type is the middle tier of the Benefit Object Definition. It inherits all the attributes of the parent Benefit Program. If required, some of the attributes can be changed for a specific Plan Type, but this change will only affect that particular Plan Type and the Plans defined under it, and not to the other Plan Types under the same program. For every Plan Type, it is mandatory to map a Plan Category.
Benefit Plans | Benefit Plan is the last layer of the Benefit Object Definition. In this layer, all the Plan Category specific and enrollment specific details are given. Among other things, the important entities mapped to the plan are Provider for the Benefit Plan and the Rate table.
Benefit Plan Category | Benefit Plan Category is the basis on which the Plan details are given. Ramco Benefits supports five plan categories, i.e. Savings Plan, Health Plan, Disability Plan, Life And Accidental Death / Dismemberment and Flexible Spending Account.
Benefit Provider | Benefit Provider is typically the external organization, which provides the various Benefit Schemes to employees of an organization based on the terms and conditions between the provider and the employer. The provider covers the employee in various plans and in turn the employee pays premium to the provider via the employer.
Benefit Group | When the Premium contribution of a plan depends on the enrollment of another plan then such plans form a Benefit Group. So in a Benefit Group, the user mentions all the plans for which the contribution depends on the enrollment in some other plan in the same group.
Business Unit | Business Unit could be a logical division of the organization. A Company could have multiple Business Units, or a Company can be a Business Unit by itself.

C

Common for All | This will make the employee and his dependents eligible for the reimbursement item. The Employee and dependents if enrolled together will be eligible for the eligibility value defined for the reimbursement item. For example, if the eligibility value defined is Rs.10,000 then, the employee along with the dependents enrolled will be eligible for Rs.10,000.
Common for Dependents | This will make dependents eligible for the reimbursement item. All the dependents enrolled together will be eligible for the eligibility value. For example, if the eligibility value defined is Rs.10,000 then the dependents are eligible for Rs.10,000 altogether.
Carry forward Limit | The maximum limit that can be carried forward to the next reimbursement calendar.
Contact Type | The contact type of the provider organization like registered office, main office, corporate office, regional office etc.
Claim ID | The claim ID series assigned for a particular reimbursement group or stand-alone reimbursement item.
Carry forward Rule | Rule name for the definition of carry forward value computation.
Cafeteria Plans | The term “Cafeteria Plan,” also referred to as a “Section 125 Plan,” is the most commonly used description for Flexible Benefit Plans (covered under Section 125 of the Internal Revenue Code). A Cafeteria Plan is a flexible employee benefit plan that enables the employee to choose from a menu of certain fringe benefits and pay for all these benefits with pre-tax dollars. These are accounts funded by the employer, employees or both.
Collective Bargaining Agreement | It is a Bargaining agreement between unions and the management and can be used when the eligibility depends on the employee’s membership in the union. The unions on which the different eligibility is dependent are mapped to the Bargaining Agreement.
Course | The basic unit of Training which can be grouped to form Modules.
Competency gap | Differences in the competencies which an employee is supposed to possess and what he/she actually possesses.
Competency, Class and Element | Competency can be defined as the sum total of many dimensions like Skills, Knowledge, Attitude required to effectively perform an assignment. Competency could be represented in various such dimensions called Competency Classes. Every Competency Class has Competency Elements associated with it. Elements are uniquely identifiable constituents of a Competency.
Compensation | The Base salary for the employee’s assignment.
Compensation Frequency | Frequency of compensation is the periodicity of payment of compensation to employees Compensation frequency is a matrix wherein various measures of time and their conversion factors are recorded. A company has one compensation frequency.
COBRA | COBRA stands for Consolidated Omnibus Budget Reconciliation Act. Federal law requires that employers sponsoring group health plans with more than 20 employees offer their employees and their families the opportunity for a temporary extension of health coverage (called "continuation coverage") at group rates, in certain instances, where coverage under the plan would otherwise end.

D

Dependent Eligibility Profile

A dependent of the employee can be enrolled in a plan only if he is eligible for enrollment. Dependent Eligibility Profile is the definition of such criteria that has to be collectively fulfilled by the dependent of the employee in order to be eligible for enrollment.

Disability Plan

Under this plan, the company pays the cost of its disability plans that are designed to provide salary continuance in the event that eligible employees become disabled or are unable to work for a period beyond 14 calendar days.

The short-term disability plan may provide temporary salary continuance to employees who are totally disabled for a shorter period, i.e. up to 180 days.

The long-term disability plan may provide temporary salary continuance to employees who are totally disabled for a longer period, i.e. more than180 days.

Department

A Department is a Function or Section of the Organization where similar work is performed. It could also be a group formed to undertake a task.

Dependent Care FSA

This plan allows employees to pay for qualified dependent care expenses without taxes being withheld.

E

Eligibility | Eligibility is the value for a particular Reimbursement Item or Reimbursement Group.
Eligibility Nature | Eligibility Nature is the various combinations in which the eligibility is defined for the employee as well as his dependents.
Eligibility Nature | Eligibility Nature is the method in which the Eligibility can be distributed between the Employee and / or his dependents.
Encashment Rule | Rule name for definition of encashment value computation.
Eligibility Profile | An employee can be enrolled in a plan only if he/she is eligible for enrollment. Eligibility Profile is the definition of such criteria that has to be collectively fulfilled by the employee in order to be eligible for enrollment. Eligibility profiles are defined separately and in Benefit Object Definition, one or many eligibility profiles can be mapped to the objects.
Employment Taxes | All the taxes that are not directly dependent on the income of the employee but are derived from other factors related to Employment are covered under Employment Taxes.
Enrollment | "Training Administrator’s registration of trainees to a schedule".
Evaluation Setup | The various criteria based on which trainees will be assessed.
Employment Unit | Employment Unit is the Organization Unit where the employee is assigned a job. An Employment Unit could be a location, a facility or any other level at which jobs can be differentiated by the Organization.
Employee File | Basic information like Employee’s Name along with Title, Date & Time of joining, Employee Type and Company .
Employee – Payset mapping | Employees are mapped to a payset. An employee is mapped to a payset for an assignment and a range of process periods. For an assignment – employment unit - a process period, an employee can be mapped to only one payset as primary payroll. Employee would be paid the base salary in the payset in which he/she is mapped as primary payroll.
Employee bank master | The bank detail of the employee to which her salary is deposited is known as employee bank.
Employee Entitlement | The units of leave (either in days or hours) allotted to an individual for a particular leave type and leave period.

F

Family Coverage Category | Family Coverage Category is the definition of the type of family, based on which the premium of the employee will vary. A repository of family coverage categories is made on the basis of number of dependents. At the time of defining the plan for the category of health plan, various family coverage categories are made applicable to the plan and at the time of enrollment, the appropriate family coverage category is made as the default for an employee, based on which his/her premium will be computed.
FSA Plan | The basics of all Flexible Spending Account Plans is the pre-tax premium feature. Employers establish these plans so that employees have the opportunity to deduct their group insurance premiums prior to taxes. FSA Plans can be broadly classified into two types, Health Care FSA and Dependent Care FSA.
Federal EIN | The EIN is a nine-digit number issued by the IRS. The digits are arranged as follows: 00-0000000. It is used to identify the tax accounts of employers and certain others that have no employees.
Form W-2 | The form which employer sends to the employees and the IRS at the end of the year to report the employee’s annual wages, taxes withheld, and other information.
Form W-4 | The form which employee files with the employer so that the employer can calculate the amount of tax to withhold from the employees pay. Employee can file a new Form W-4 anytime the tax situation changes and can choose to have more or less tax withheld.
Federal Income Tax Withheld | The amount withheld from an employee's wages and submitted by the employer to the IRS as an advance payment of the employee's federal income tax.
FICA (Federal Insurance Contributions Act) | The law that provides for social security and Medicare benefits on the earned income. This program is financed by payroll taxes imposed equally on the employer and the employee.
Faculty | Employees or people external to the organization who will be handling a particular course.
Filing Status | The filing status is an important factor in determining the standard deduction and tax rate and whether the person must file a return. The typical five filing status types are Single, Married Filing Jointly, Married Filing Separately, Head of Household, and Qualifying Widow (er).

G

Grade | Various job layers that exist in the organization can be defined as Grades.
Grade Set | Grade Set is a classification or grouping of employees in the Organization.
Gross pay | The total earnings calculated for the employee for a process period before deductions, statutory or otherwise is known as gross pay.
Garnishment definition | Garnishment is a legal procedure through which earnings of an individual are required to be withheld by an employer for the payment of a debt. Most garnishments are made by court order. Garnishment is a legal deduction specific to the US.

H

Health Plan | Medical, Dental and Vision Plans can be covered under the Medical Plan category. Medical Plans cover services such as hospitalization, surgery, prescription drugs, X-rays, etc. Dental Plans cover the dental services including orthodontia and restorative care. Vision Plans include eye exams, lenses and frames, etc.
Health Care FSA | This plan allows employees to reduce their salary to pay for expenses not covered by their insurance such as co-pays, eyeglasses, contact lenses, crowns, root canals, deductibles, and co-insurance.

I

Income Tax

It is the main source of revenue for the federal government and many states as well as locals. The tax is based on the income. An individual is allowed certain deductions, allowances, and credits to reduce your tax, based on laws made by the Congress.

J

Job | The work an employee performs in an Organization.
Job Level | Job Level represents the relative standing of an employee in the organizational hierarchy. Job Levels are attached to Jobs.

L

Life / Accidental Death & Dismemberment Plan | Life insurance Plans provide financial security to the families of employees. Life and AD&D plans can be business travel accident plans, basic life insurance / AD&D, supplemental life or dependent life insurance.
Leave Type | Leave Type in an organization can be Casual Leave, Sick Leave etc. The units of leave type will be in days or hours. All the organizational policies and conditions of leave management - to setup and administer leave are depicted in the Leave Type.
Leave Calendar | The Leave Calendar specifies the period for which the leave needs to be Administered, for a set of Leave Types and Grade Sets. This Leave Calendar can be set for any period of time. Employees are allotted leave for this period.
Leave Application | This enables an employee to take off from work, based on the policies of the organization.
Leave Alteration | This enables an employee to alter the leave details, that is, either modify or cancel the leave that is already authorized.
Leave Encashment | This enables an employee to encash the leave that is not availed.
Leave Regularization | There can be changes to employee’s shift details, holiday / weekly information etc., even after the employee has applied leave for a specific period. Recalculation of the leave units based on these changes and updating the balance accordingly is Leave Regularization.
Leave Carryover | This is a process of transferring leave balance of an employee from the previous period to the current period, based on some business rules of the organization.
Leave Adjustment | This is a process of increasing or decreasing the Entitlement Units, carryover Units, Encashed Units or Availed Units of an employee, for a given Leave Type.
Leave Authorization | Authorization of leave requested by an employee. Authorization is also needed for any amendments in leave application or leave cancellation after the leave has been authorized.
Leave Balance | Leave balance is derived as, Entitled Units + Carry Over Units – Availed Units– Encashed Units (+/-) Adjusted Entitled Units (+/-) Adjusted Carry Over units (+/-) Adjusted Availed Units (+/-) Adjusted Encashed Units.
Local Type & Local | Business processes could be based on Country or State, within a Country or City/Town in a State. Such layers of Address definition below a state are termed as ‘Local Types’. For example, the City/Town of each State could be a local type. The cities in the state would be defined as Locals . For e.g., City would be a local type. in the state New York, New York City would be a Local .

M

Minimum take home pay (MTHP) | Minimum take home pay refers to the minimum amount that needs to be paid as net salary to the employee. In certain situations due to deductions the net pay may become very less. The system may be configured so that it does not go below a certain level. This is known as MTHP. This may be needed for statutory obligations.
Maximum Balance Units | The maximum leave units that can be available for a Leave Type at any point of time.
Module | A logical grouping of Courses.

N

Net pay | The total earning of an employee for a process period after all deductions is known as net pay.
Non-regular Employee | Employees who are not in the permanent rolls of the Organization would be so categorized.

O

Organization Strata and Element

There could be many strata in any organization like, Company, Business Unit and Department. The Organization’s Hierarchy could be built using Organization Strata (layers) and Organization Elements attached to each Stratum. Organization Elements can be attached to each Organization Stratum. For example, Strategic Business Unit (SBU) could be an Organization Stratum. Organization Elements in this Stratum could be Consumer Products Division, Industrial Products Division, etc.

P

Parent Group | It is the group under which some set of sub groups will be attached, so that the parent group will have an upper limit and the sub groups will maintain their individual upper limits.
Prorata Rule | The rule name for definition of Pro rata computation logic.
Premium Period | Premium period is the period for which the Benefit Premium is to be processed. This period can be of any duration. For example, a month, a week, a fortnight, three months and the like depending on the frequency of Benefit processing. The Premium Periods are defined under a Benefit Calendar.
Program | A logical grouping of Modules and Courses.
Post Training Evaluation | Assessment of the employee on the Job after completion of Training.
Post Training Evaluation Setup | The various criteria based on which employees will be assessed on the Job after completion of Training.
Position | The "Position" is a predefined slot in an organization and it is a combination of a Department and Job.
Position Control Id | Each Position Control ID is a predefined slot for a Department and Job. An employee is assigned to each Position Control ID. Even if the employee is transferred, the Position Control ID remains and is available for assignment to another employee.
Primary Assignment | This is the primary work allocated to the employee.
Postal Service Area | Postal service area is the group of zip codes that have different premium rates. This is mainly used in cases where the premium is dependent on the zip codes.
Payroll | A payroll is an entity that specifies the nature of processing that needs to be done. Example: Regular Payroll, Over Time Payroll, Bonus Payroll etc. Payroll is always attached to a Calendar, so that the actual dates of processing can be specified at a later point in time. In Ramco Payroll, multiple payrolls can be attached to a payroll calendar.
Payroll Calendar | An organization may have many payrolls running. To accommodate multiple payrolls Ramco Payroll brings in the concept of a Payroll Calendar. A Payroll calendar has a period unit attached to it. Period unit is defined in Payroll General Information Component. This period unit can be a day, week and the like depending upon the frequency of pay processing. The user can also define the maximum and minimum number of period units.
Process Period | Process period is the period for which pay is to be computed and paid. This period can be of any duration. The process periods are defined under a Payroll Calendar. A payroll calendar can have multiple process periods. Each process period has a “from” and “to” date. The process period number is automatically generated by the system. The system does not allow any gaps between the ‘to date’ of one period and ‘from date’ of the next period. Each process period is attached to a Financial Year and Financial Period. Financial Year and Financial Period are defined in “Organization Setup” component.
Payment mode | The mode through which the salary payment is made for an employee is known as payment mode. It can be of Bank-Transfer, Bank-Cheque, cash,Bank-DD,Bank-Others.
Pay Element | A pay element is a component of the total pay packet of an employee. Pay elements can be classified into eleven different types viz. earnings, reimbursement elements, loan deductions, fund deductions, tax deductions, statutory deductions, benefit deductions, other deductions, arrears earning, arrears deductions, non payable but accountable & leave encashment. For Example: Base Salary, House Rent Allowance etc.
Payset | A Payset is a logical grouping of employees who have more or less the same algorithm used for calculating their pay. Paysets are meant for such logical grouping of employees. A payset is defined under a Payroll. A Payroll can have multiple paysets under it. This entity enables the logical grouping of employees having similar pay elements and/or similar pay element value. The user can also specify a minimum take home pay for each payset.
Payset – Pay Element Mapping | An element is attached to a payset through Payset-Element Mapping. An element can be attached to multiple paysets. This mapping is done for a range of process periods. Each element attached to a payset is given a priority. This priority is taken into account during Payroll Processing.
Period Unit | Period unit refers to a unit of time. Period unit can be can be a day, week etc., The basic period unit for the system is hours. All other period units have a conversion factor, which states there measure with respect to the basic period unit. System defined period units are “Hour” and “Day”.
Payroll processing | This is the process through which the amount to be paid to the employees are calculated. The payroll processing calculates various pay element values for employees mapped to the payset and records it within the system.

Q

Quick Codes | Quick Codes are preset values for certain process variables, which facilitate easier usage of these values in required processes. For e.g. Employee Reason for Separation is a process variable. It can have values like Retirement, Disciplinary Action, Resignation, etc.
Quick Leave | Quick Leave enables employees to avail leave without authorization.
Qualification gap | Differences in the qualifications which an employee is supposed to possess and what he/she actually possesses.

R

Reimbursement Parameter | The claim amount of some reimbursement items is computed on the basis of certain inputs provided by the claimant. These inputs are called Reimbursement parameters. For Example, ‘Mode of Travel’ and ‘Distance Traveled’ can be the parameters for a Reimbursement Item, ‘Local Conveyance’.
Reimbursement Group | A reimbursement group is a grouping of reimbursement items into one group, with an upper limit assigned for the group. The items under the group, however, maintain their individual upper limits.
Reimbursement Calendar | A reimbursement calendar is the time frame for which the eligibility rules and regulations for availing a reimbursement item are applicable. It can span across a period of time like months, years etc.
Regulatory Region | Any region governed by a common law may be termed as a Regulatory Region.
Rehire | The hiring of an employee who was earlier part of and then separated from the organization.
Rate Table | Rate Table is the tabular representation of the Premium Rates on the basis of Employment and Personal criteria of the employees. A Regular rate table is where the criteria are hard coded and a variable based rate table is where the user can configure the rate table as per the organizations needs.

S

Self | This will make only the employee eligible for the reimbursement item. For example, if the eligibility value defined is Rs.10,000 then, the employee is eligible for a reimbursement of Rs.10,000.
Separate for Employee & Common for Dependents | This will make the employee as well as his dependents eligible for the reimbursement item. The Employee will be eligible for the eligibility value defined for the Reimbursement Item, and his dependents will be eligible for the eligibility value. For example, if the eligibility value defined is Rs.10,000 then, the employee is separately eligible for Rs.10,000 and the dependents together are eligible for Rs.10,000.
Separate for Employee & Separate for Dependents | This will make the employee as well as his dependents eligible for the reimbursement item. The employee will be eligible for the eligibility value defined for the Reimbursement Item and the individual dependents enrolled will be eligible for the eligibility value. For example, if the eligibility value defined is Rs.10,000 then, the employee is separately eligible for Rs.10,000 and each dependent is eligible for Rs.10,000.
Separate for Dependents | This will make each dependent eligible for the reimbursement item. Individual dependents enrolled will be eligible for the eligibility value. For example, if the eligibility value defined is Rs.10,000 then, each dependent is eligible for Rs. 10,000.
Sanction% | It is the percentage of claim value, which will be sanctioned for the item.
Savings Plan | Such plans are designed to build employee’s financial assets for the future. Savings Plan, covers retirement plans like 401K plans. Such plans encourage employees to save for their retirement years on a before-tax basis.
Scale | Scale refers to a Pay Scale. Scales are defined with Upper Limits, Lower Limits and Increments and a Currency. When the Amount exceeds the Upper Limit , then a new slab comes into effect.
Secondary Assignment | These are an Employee’s additional assignments, in addition to the Primary Assignment.
Separation | The termination of an employee’s services from the organization.
Security – Payroll / Payset | Ramco payroll provides payroll & payset security. For performing any operations of a payroll or a payset, the user must have the security permissions provided for the respective payroll and / or payset. Without the Security permissions, the user will not be able to perform these operations.
Salary accounting | The salary accounting process generates the financial entry of the computed pay of employees for posting to various accounts in finance book to which the pay elements are mapped. On Authorization of salary accounting the financial entries are posted to the finance book.
Salary payment | The process through which payments are made to the employees who are mapped to the payset is known as salary payment. The necessary details for making the payment according to the payment mode of the employees are posted to release payment component for making the payment.
Statutory | This indicates that the leave type is statutory
Supporting Documents Need | This indicates that supporting documents like Medical Certificate etc are mandatory to avail leave.
Standard Deductions | A base amount of income not subject to tax. It is dependent on the filing status.

T

Treatment of Balance | The remaining balance at the end of the Reimbursement calendar is carried forward, encashed or lapsed. This is known as Treatment of Balance.
Tax Year | A Tax Year is the calendar period for which all the Tax Computations are made.
Training Budget | Allocation of funds for the Training to be conducted.
Training Plan | A tentative draw up of the Programs, Modules and Courses which will be conducted over a period of time.
Training Calendar - Internal | "List of the Programs / Modules / Courses scheduled for employees, along with the faculty, venue, date and time".
Training Calendar - External | "List of the Programs / Modules / Courses scheduled for external trainees, along with the faculty, venue, date and time".
Tax Agency | A Tax Agency is the entity authorized to collect the Taxes, e.g. Internal Revenue Services (IRS) for federal taxes.

U

Union

Unions existing in the Organization can be defined and certain information relating to them like Office bearers, Address, Committees and Local Groups can also be defined.

V

Venue

Venues are the actual places where the Training will be conducted. Venues could be internal or external to the organization.

W

Waiting Period | Waiting period is the waiting time before which the employee can be eligible for enrollment in the plan. A waiting period can be given in days or months from a particular date or from any reference event like hire date, confirmation date, separation date etc.
Withholding Reciprocity | Withholding Reciprocity agreements generally exist between the States and Locals to avoid double taxation for the Employee, when the employee stays in one State/ Local and works in another State/ Local. Different conditions can exist in the Reciprocity Agreements.
Withholding | Taxes that are taken out of an employee’s wages or other income before he/she receives them, and deposited in an IRS account.
Work Location | Employee’s Place of Work can be defined in Ramco Employee Induction, along with Address and other related attributes. Each Employee would be attached to a Work Location, when he / she is given an assignment.
Withholding Allowance | An allowance an individual claims on the Form W-4 for employer to use in calculating the amount of income tax to withhold from employee’s paycheck. The more allowances a person claims, the less income tax will be withheld.


Help on Employment Equity Plan and Actuals

Page objective

Glossary

Basics of using a Ramco iEnterprise Series 4.0 web page

Using online help

Select the help icon beside the “Employment Equity Plan and Actuals.” in the previous page.

The “Employment Equity Plan and Actuals” page appears.

The system displays the following.

Date Format | The date format that is applicable to the login user. Tell me more
Statutory Setup Unit | The organization unit of the employer.

To select through search criteria.

Enter the following search criteria values, in some or all of the following fields.

Employment Equity Plan Code. | To view all the Employment Equity Plan code, type in the character(s) of the type in any combination with wild card, “*”.
Employment Equity Actuals Code. | To view all the Employment Equity Actuals code, type in the character(s) of the type in any combination with wild card, “*”.
Plan Status | The status of the employment equity plan for which you require to view the employment equity plan details.
Employment Equity Plan Description | The description of the employment equity plan for which you require to view the employment equity plan details.
Employment Equity Actuals Description | The description of the employment equity actuals which you require to view the employment equity plan details.
Plan Effective as of | The date from which the plan is effective.

Select the “Search” pushbutton.

The system displays the following details that satisfy the search criteria specified, in the search results multiline.

Employment Equity Plan Code. | The code identifying the employment equity plan.
Employment Equity Plan Description | The description of the employment equity plan.
Plan Status | The status of the employment equity plan.
Plan from Date | The starting date from which the employment equity plan is effective.
Plan To Date | The ending date within which the employment equity plan is effective.
Employment Equity Actuals Code | The code identifying the employment equity actuals.
Employment Equity Actuals Description | The description of the employment equity actuals.
Actuals from Date | The starting date from which the employment equity actuals is effective.
Actuals to Date | The ending date within which the employment equity actuals is effective.

Select the “OK” button.

6 Hyperlinked topics below

Page Objective

Use this page to get help on employment equity plan and actuals.


Orgunitsumm

An overview of organization units

The big picture

Org.units you can access

What is an Organization Unit? An organization unit refers to any unit or element within the Company, when the responsibilities of the division consist of

¡ Carrying out business functions; this means that Ramco iEnterprise Series 4.0 components can be deployed to this unit

¡ Defining security for itself

The unit could be a geographical location such as Region-1 and Region-2, or a functional unit such as Department-1. It could even be any combination of Company, Location, Department and Line of Business

For example, Organization Unit-ABX could be a functional unit such as E-business in a Software Development House, or it could be the HR division in a Corporate Office, or even the Corporate Office itself in a multinational firm. It can carry out the following typical business functions: Purchase Requests, Leave Setup and Time Management Scheduling. Each of these business functions is referred to as components, by Ramco iEnterprise Series Organization Units are defined during deployment of the product.

Identifying Organization Units in your Company: A Company could be divided into organization units based upon location, function, business lines or any other rule, as described already.

More examples:

¡ Company-XY could be made up of three organization units, based only on locations.

¡ Company-QM, on the other hand, could consist of organization units, each of which represents a business function such as Sales, Payroll and HR. An organization unit under Company QM could be across locations

The Big Picture: Organization units can interact or connect with each other. Typically, masters information for a set of business processes will be defined within certain identified organization unit of the company only. These organization units, where information can be defined, are called Setup Org. Units. The other organization units of the Company may access this information; these organization units are called the Applicable Org. Units. The setup Org. Unit and the applicable Org. Units together constitute the Organization group for the Component. The Organization Unit group is also called the Autonomous Logical Group. 7.

Behind the scenes, all this information is stored in an application called the Component Interaction Model. This application identifies

¡ The organization unit that will be the setup Org. Unit and

¡ The organization units that will be the applicable Org. Units.

Example of setup and applicable Org. Units: A Company can comprise a corporate office and four regional offices. Each of the offices will be considered an Org. Units where various business functions can be carried out. These business functions could refer to the activities under the Organization Structure component, such as Create department and Create Grade. The master information pertaining to the organization structure, such as departments, grades and scales, will be defined at the corporate office. The information defined at the corporate office can be utilized by the other offices. Therefore, the corporate office will be the organization set up unit, and the other units will be the applicable units. The corporate office and the other offices constitute the organization structure group for the Organization Structure component.

Implication of Organization Units: When you are in a given Activity, example Creating Paysets, the “Payset Definition Unit” drop-down list box contains items that you can select. The appearance of these items, which are organization units, imply that

¡ You have permission to access these organization units

¡ These organization units are setup organization units, in which you can define master information

¡ The information that you define in the “Create Payset” activity may be accessed by other applicable organization units (applicable Org.Units). You cannot view these applicable Org. Units in the “Payset Definition Unit” drop-down list box. During deployment, the “Applicable Org. Units“ for each set up Org. Units are identified and stored in an application called the Component Interaction Model.

For example, three Organization Units A, B and C are the subsidiary of organization unit X. The Component Interaction Model could define Organization Unit B to be the defining point of all payroll information. This means all payroll information can be defined only at Organization Unit B. Organization unit X, as well as Organization Units A and C, can access this information from Organization Unit B.Note that, in this example, the reverse flow of information is not allowed. In other words, Organization Unit B cannot receive information from Organization Units X, A or C. Nor is any other flow of information allowed.

What are the Organization Units You Can Access? The organization units that appear in the drop-down list box in the Activity page, such as the “Payroll Definition Unit“, will depend upon whether you have logged in as

¡ An External Service Provider (ESP): The system will display all the organization units for which the ESP is hosting software application services

¡ An Application Service Provider (ASP): The system will display the organization unit into which the ASP has logged

¡ An Internal Service Provider

¡ A login employee

The Mechanics of Permission to an Organization Unit: You can obtain permission for a combination of one organization unit and multiple activities. During the deployment of the component, each user is linked or mapped to a role. A role is already assigned permission to a specific organization unit and a given number of activities. These activities could be across the components deployed in the organization unit.

When a new RVW user is mapped to a role, he or she inherits the permission to this organization unit and activities.

Subsequently, when the user logs in through the Ramco Virtual Works Login screen, the system makes available all the activities to which he is entitled. These activities will be displayed on the left pane.

Note: There is no separate permission to be obtained for a Component. Therefore, when you log into a permitted Organization Unit, the system displays all the Components whose Activities you are permitted to define.

Example: When you select the Payroll component, for instance, the left pane of the application displays the list of the Component’s activities for which you have permission. You are to now choose the first page of the Activity.

In this page, the system displays the specific organization units for which you have permission. If you are an ESP or an ISP, this list will consist of the organization unit through which you logged in and the organization units across Companies. Note that all the organization units will e setup Org. Units. You can now choose the organization unit that will be the defining point of the Activity information.

On the other hand, if you are a login user of the Company, this list will consist of the organization unit through which you logged in and any other setup organization units within the Company to which you have permission.

The Power of the Organization Unit Feature: You can directly choose any other organization unit of a different Company, and define Activity information for this organization unit. This is accomplished without logging out of the current organization unit and logging into the organization unit of the other Company. This power is applicable for an ESP.

Bookmarks

Date Format

The system displays the date format that the login user had already specified in the Enterprise Modeller component.

If the no date format had been specified in the Enterprise Modeller component by the login user, the system displays the date format defined already in the Admin component. This date format is defined at the company level.

Company

A Company refers to any legally registered Company for which a profit and loss balance sheet is maintained.

Multiple companies can be defined in a single installation. These companies need to have no transactions with each other.

Group Company

A group company refers to any legally registered Company for which a profit and loss balance sheet is maintained, and which has at least one Child Company. The Group Company consolidates the information from the Child Companies under it. The information it consolidates could be finance, purchase, stock or any other type.

Multiple group companies can be defined in a single installation. These companies need to have no transactions with each other.

Application Service Provider

Any third party group or organization that provides software-based services such as deployment, maintenance, support and upgrade of applications is called an application service provider (ASP). An ASP typically provides services to multiple companies, therefore the server will host several companies.

External Services Provider

This refers to a third party group who carries out all that the Application Service Provider does, and in addition, takes care of a set of business processes. For example, an External Service Provider (ESP) will enter all the masters within a Reimbursement component and the Reimbursement transactions of the employees as well.

The External Service Provider provides these services either by

¡ Switching fom one setup organization unit to another, even across companies, without logging out.

¡ All the component-activities of the ESP’s clients, through which the ESP will provide services, are installed in the ESP’s organization unit. The ESP logs into this organization unit and perform operations on behalf of his or her clients. The spans of control and the scope of interaction over the organization units are defined in the ‘Component Interaction Model’ during the installation of Ramco’s applications suite.

¡ Entering the system as as a valid login user of the Company, to login into the required organization units

Internal Services Provider

An Internal Services Provider (ISP) is one of the organization units of an organization, which provides services to the other units within its Company or Group Company just like an ESP. The Internal Service Provider logs into these organization units, and provides services through the organization unit. The application users of the ISP login to the ISP organization unit, and perform operations on behalf of the other organization units.

The ISP’s span of control over the other organization units is governed by an application called the Component Interaction Model. This application is behind the scenes, and identifies the organization units in which master information can be defined and the organization units that can access this information.

Setup organization unit

A setup organization unit is an organization unit in which you normally define master information. Other organization units access information from this setup organization unit

Component

A component refers to a set of logical business activities that can be independently deployed at a site. For instance, Leave Definition is a component, which contains activities such as “Create Leave Type” and “Create Leave Calendar”. Leave Administration can be another component, which contains activities such as “Apply for Leave” and “Authorize Leave Application”